$(function () {
    userData();
    setInterval(userData, 2000);
});

function userData() {
    let sharedData = JSON.parse($('body').html().split('window._sharedData = ')[1].split(';</script>')[0]);
    if (sharedData) {

        let data = {};

        if (sharedData.config.viewerId) {
            data = {
                userId: sharedData.config.viewerId,
                username: sharedData.config.viewer.username,
                profileImage: sharedData.config.viewer.profile_pic_url_hd,
                csrfToken: sharedData.config.csrf_token,
                rhx_gis: sharedData.rhx_gis,
                rollout_hash: sharedData.rollout_hash,
            }
        } else {
            data = {
                userId: null
            }
        }

        chrome.runtime.sendMessage({
            option: "userInfo3",
            data: data
        });
    }
}

let sharedDataGeneral = $('body').html().split('window._sharedData = ');
if (sharedDataGeneral[1]){
    sharedDataGeneral = JSON.parse(sharedDataGeneral[1].split(';</script>')[0]);
}else{
    sharedDataGeneral = {};
}